- Qt 5.15
- Qt 3D
- C++ Classes
- QBuffer
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QBuffer

The following members of class QBuffer are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` enum | BufferType { VertexBuffer, IndexBuffer, PixelPackBuffer, PixelUnpackBuffer, UniformBuffer, …, DrawIndirectBuffer }

## Properties

- `(obsolete)` type : BufferType

## Public Functions

`(obsolete)` BufferType | type() const

## Public Slots

`(obsolete)` void | setType(BufferType type)

## Signals

`(obsolete)` void | typeChanged(BufferType type)

## Member Type Documentation

### enum QBuffer::BufferType

This enum is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

The type of the buffer.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QBuffer::VertexBuffer` | `0x8892` | GL_ARRAY_BUFFER
`Qt3DRender::QBuffer::IndexBuffer` | `0x8893` | GL_ELEMENT_ARRAY_BUFFER
`Qt3DRender::QBuffer::PixelPackBuffer` | `0x88EB` | GL_PIXEL_PACK_BUFFER
`Qt3DRender::QBuffer::PixelUnpackBuffer` | `0x88EC` | GL_PIXEL_UNPACK_BUFFER
`Qt3DRender::QBuffer::UniformBuffer` | `0x8A11` | GL_UNIFORM_BUFFER
`Qt3DRender::QBuffer::ShaderStorageBuffer` | `0x90D2` | GL_SHADER_STORAGE_BUFFER
`Qt3DRender::QBuffer::DrawIndirectBuffer` | `0x8F3F` | GL_DRAW_INDIRECT_BUFFER

## Property Documentation

### type : BufferType

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Holds the buffer type.

Access functions:

BufferType | type() const
void | setType(BufferType type)

Notifier signal:

void | typeChanged(BufferType type)